<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="297a530d-c24c-4138-aae5-3eb8dcfc7f4a" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/package-lock.json" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/public/js/app.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/public/js/chat.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/public/js/socket-io-server.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/server.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/ApiMessageController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/ApiMessageController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/ApisController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/ApisController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/package.json" beforeDir="false" afterPath="$PROJECT_DIR$/package.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/resources/js/app.js" beforeDir="false" afterPath="$PROJECT_DIR$/resources/js/app.js" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
    <execution />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php80" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-grapheme" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-client-contracts" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/scrivo/highlight.php" />
      <path value="$PROJECT_DIR$/vendor/intervention/image" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/fruitcake/laravel-cors" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/laravel/ui" />
      <path value="$PROJECT_DIR$/vendor/psr/http-client" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/psr/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/justinrainbow/json-schema" />
      <path value="$PROJECT_DIR$/vendor/tcg/voyager" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/facade/ignition" />
      <path value="$PROJECT_DIR$/vendor/facade/flare-client-php" />
      <path value="$PROJECT_DIR$/vendor/facade/ignition-contracts" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/react/promise" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/voku/portable-ascii" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/fakerphp/faker" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/league/mime-type-detection" />
      <path value="$PROJECT_DIR$/vendor/league/commonmark" />
      <path value="$PROJECT_DIR$/vendor/seld/jsonlint" />
      <path value="$PROJECT_DIR$/vendor/seld/phar-utils" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/larapack/doctrine-support" />
      <path value="$PROJECT_DIR$/vendor/larapack/hooks" />
      <path value="$PROJECT_DIR$/vendor/larapack/voyager-hooks" />
      <path value="$PROJECT_DIR$/vendor/brick/math" />
      <path value="$PROJECT_DIR$/vendor/doctrine/cache" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/doctrine/dbal" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/doctrine/event-manager" />
      <path value="$PROJECT_DIR$/vendor/asm89/stack-cors" />
      <path value="$PROJECT_DIR$/vendor/doctrine/deprecations" />
      <path value="$PROJECT_DIR$/vendor/arrilot/laravel-widgets" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/ramsey/collection" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/symfony/string" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php73" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/error-handler" />
      <path value="$PROJECT_DIR$/vendor/symfony/filesystem" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
    </include_path>
  </component>
  <component name="ProblemsViewState">
    <option name="selectedIndex" value="1" />
  </component>
  <component name="ProjectId" id="1t9sRkaO3uKtEG94Wb8UuBXeDKN" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/public/js" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="vue.rearranger.settings.migration" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\laragon\www\tae\public\js" />
      <recent name="C:\laragon\www\tae" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="297a530d-c24c-4138-aae5-3eb8dcfc7f4a" name="Default Changelist" comment="" />
      <created>1622017317516</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1622017317516</updated>
      <workItem from="1622017319275" duration="2174000" />
      <workItem from="1622192637000" duration="18155000" />
      <workItem from="1622445620474" duration="9057000" />
      <workItem from="1622539326686" duration="10762000" />
      <workItem from="1622619342953" duration="15676000" />
      <workItem from="1622705075523" duration="13972000" />
      <workItem from="1622799395651" duration="11876000" />
      <workItem from="1623050003622" duration="18096000" />
      <workItem from="1623142484917" duration="14099000" />
      <workItem from="1623222671631" duration="12000000" />
      <workItem from="1623397924113" duration="89000" />
      <workItem from="1624010008420" duration="2084000" />
      <workItem from="1624865769011" duration="16730000" />
      <workItem from="1624958193237" duration="15746000" />
      <workItem from="1625125837566" duration="364000" />
      <workItem from="1625220360610" duration="5669000" />
      <workItem from="1625230388700" duration="622000" />
      <workItem from="1625470268681" duration="604000" />
      <workItem from="1625478961018" duration="765000" />
      <workItem from="1626077768798" duration="207000" />
      <workItem from="1628154250702" duration="6131000" />
      <workItem from="1628168966012" duration="4266000" />
      <workItem from="1628535861029" duration="995000" />
      <workItem from="1629358920640" duration="5576000" />
      <workItem from="1629706950829" duration="139000" />
      <workItem from="1630358110481" duration="5168000" />
      <workItem from="1630401762583" duration="767000" />
      <workItem from="1630674787876" duration="6153000" />
      <workItem from="1630698834764" duration="2429000" />
      <workItem from="1630914518219" duration="18641000" />
      <workItem from="1631001710181" duration="22521000" />
      <workItem from="1631088081324" duration="23167000" />
      <workItem from="1631183269100" duration="42000" />
      <workItem from="1631199271793" duration="4290000" />
      <workItem from="1631262535257" duration="20332000" />
      <workItem from="1631607134337" duration="22497000" />
      <workItem from="1631694112425" duration="19486000" />
      <workItem from="1631721098707" duration="274000" />
      <workItem from="1632322233520" duration="4028000" />
      <workItem from="1632391491478" duration="358000" />
      <workItem from="1632733777018" duration="2246000" />
      <workItem from="1632823632354" duration="14402000" />
      <workItem from="1632902932658" duration="684000" />
      <workItem from="1632924531167" duration="2014000" />
      <workItem from="1632993811633" duration="2243000" />
      <workItem from="1633082860348" duration="2211000" />
      <workItem from="1633335459615" duration="2176000" />
      <workItem from="1633338132288" duration="61000" />
      <workItem from="1634898685891" duration="9271000" />
      <workItem from="1635762772258" duration="4758000" />
      <workItem from="1635843835076" duration="3094000" />
      <workItem from="1635934513677" duration="6800000" />
      <workItem from="1636368791815" duration="1573000" />
      <workItem from="1636379025984" duration="5737000" />
      <workItem from="1636448199097" duration="10636000" />
      <workItem from="1636533234272" duration="1222000" />
      <workItem from="1636535037501" duration="8383000" />
      <workItem from="1636619730046" duration="3446000" />
      <workItem from="1636635650942" duration="234000" />
      <workItem from="1636638960428" duration="656000" />
      <workItem from="1636711731081" duration="3418000" />
      <workItem from="1636967979896" duration="3533000" />
      <workItem from="1637054799212" duration="3641000" />
      <workItem from="1637060525287" duration="1127000" />
      <workItem from="1637752411431" duration="2686000" />
      <workItem from="1637831256258" duration="887000" />
      <workItem from="1638869464399" duration="6723000" />
      <workItem from="1639392133763" duration="4899000" />
      <workItem from="1639411377589" duration="370000" />
      <workItem from="1639470839306" duration="14992000" />
      <workItem from="1639555169423" duration="2408000" />
      <workItem from="1639572852865" duration="123000" />
      <workItem from="1639574350999" duration="5976000" />
      <workItem from="1639642478847" duration="4488000" />
      <workItem from="1639662134404" duration="7708000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
  </component>
</project>